Bug 240789 - [NEW PORT] sysutils/ansible-kld: Ansible module to load kernel modules and update /boot/loader.conf
Summary: [NEW PORT] sysutils/ansible-kld: Ansible module to load kernel modules and up...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/dlundgren/ansible-...
Keywords: feature, needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-09-24 12:02 UTC by Lewis Cook
Modified: 2020-09-25 11:37 UTC (History)
4 users (show)

See Also:
vulcan: maintainer-feedback+


Attachments
port diff (2.87 KB, patch)
2019-09-24 12:02 UTC, Lewis Cook
no flags Details | Diff
port diff fixed (2.91 KB, patch)
2019-09-24 12:18 UTC, Lewis Cook
no flags Details | Diff
port diff (2.97 KB, patch)
2019-09-24 13:24 UTC, Lewis Cook
no flags Details | Diff
port diff final (2.98 KB, patch)
2019-09-24 23:15 UTC, Lewis Cook
vulcan: maintainer-approval+
Details | Diff
updated port diff (3.03 KB, patch)
2019-11-03 14:36 UTC, Lewis Cook
no flags Details | Diff
port diff (2.97 KB, patch)
2019-11-03 20:53 UTC, Lewis Cook
no flags Details | Diff
port diff (2.94 KB, patch)
2019-11-04 14:51 UTC, Lewis Cook
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook freebsd_triage 2019-09-24 12:02:21 UTC
Created attachment 207759 [details]
port diff

Ansible module to load kernel modules and manipulate
/boot/loader.conf on a FreeBSD system.

WWW: https://github.com/dlundgren/ansible-freebsd-modules/
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-24 12:09:18 UTC
Thank you for contributing another new port Lewis

Note:

'ansible' (the binary) only exists for the default (Python) version of the Ansible port, which may not be the Python version with which this and other ansible module ports may be build with by the user.

Use RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}ansible>0:sysutils/ansible@${PY_FLAVOR} instead.
Comment 2 Lewis Cook freebsd_triage 2019-09-24 12:18:39 UTC
Created attachment 207761 [details]
port diff fixed

As requested.
Comment 3 Lewis Cook freebsd_triage 2019-09-24 13:24:30 UTC
Created attachment 207764 [details]
port diff

Update Makefile.
Comment 4 Lewis Cook freebsd_triage 2019-09-24 23:15:55 UTC
Created attachment 207780 [details]
port diff final

Added 'USES=python' in the Makefile, fixing the undefined 'PY_FLAVOR' error when building.
Comment 5 Lewis Cook freebsd_triage 2019-09-24 23:16:17 UTC
Comment on attachment 207780 [details]
port diff final

>Index: sysutils/ansible-kld/Makefile
>===================================================================
>--- sysutils/ansible-kld/Makefile	(nonexistent)
>+++ sysutils/ansible-kld/Makefile	(working copy)
>@@ -0,0 +1,34 @@
>+# $FreeBSD$
>+
>+PORTNAME=	ansible-kld
>+DISTVERSION=	0.1
>+CATEGORIES=	sysutils
>+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
>+
>+MAINTAINER=	vulcan@wired.sh
>+COMMENT=	Ansible module to load kernel modules or update /boot/loader.conf
>+
>+LICENSE=	MIT
>+LICENSE_FILE=	${WRKSRC}/LICENSE
>+
>+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}ansible>0:sysutils/ansible@${PY_FLAVOR}
>+
>+USES=		python
>+
>+USE_GITHUB=	yes
>+GH_ACCOUNT=	dlundgren
>+GH_PROJECT=	ansible-freebsd-modules
>+GH_TAGNAME=	cf37fc1e16fc03852abc8933e7959b22b51a5c90
>+
>+NO_ARCH=	yes
>+NO_BUILD=	yes
>+
>+ANSIBLE_MOD=	$$(ansible-config-${PYTHON_VER} dump | ${EGREP} -o '${PREFIX}/share/${PYTHON_PKGNAMEPREFIX}ansible/plugins/modules')
>+
>+PLIST_FILES=	$$(${ECHO_CMD} ${ANSIBLE_MOD} | ${SED} -e 's|${PREFIX}/||')/kld
>+
>+do-install:
>+	${MKDIR} ${STAGEDIR}${ANSIBLE_MOD}
>+	${INSTALL_SCRIPT} ${WRKSRC}/library/kld ${STAGEDIR}${ANSIBLE_MOD}/kld
>+
>+.include <bsd.port.mk>
>
>Property changes on: sysutils/ansible-kld/Makefile
>___________________________________________________________________
>Added: svn:eol-style
>## -0,0 +1 ##
>+native
>\ No newline at end of property
>Added: svn:keywords
>## -0,0 +1 ##
>+FreeBSD=%H
>\ No newline at end of property
>Added: svn:mime-type
>## -0,0 +1 ##
>+text/plain
>\ No newline at end of property
>Index: sysutils/ansible-kld/distinfo
>===================================================================
>--- sysutils/ansible-kld/distinfo	(nonexistent)
>+++ sysutils/ansible-kld/distinfo	(working copy)
>@@ -0,0 +1,3 @@
>+TIMESTAMP = 1569326545
>+SHA256 (dlundgren-ansible-freebsd-modules-0.1-cf37fc1e16fc03852abc8933e7959b22b51a5c90_GH0.tar.gz) = 168013ef470d93eeb2a103c1613aaadceb84e6202cb9bff91166a5047a77898f
>+SIZE (dlundgren-ansible-freebsd-modules-0.1-cf37fc1e16fc03852abc8933e7959b22b51a5c90_GH0.tar.gz) = 9310
>
>Property changes on: sysutils/ansible-kld/distinfo
>___________________________________________________________________
>Added: fbsd:nokeywords
>## -0,0 +1 ##
>+yes
>\ No newline at end of property
>Added: svn:eol-style
>## -0,0 +1 ##
>+native
>\ No newline at end of property
>Added: svn:mime-type
>## -0,0 +1 ##
>+text/plain
>\ No newline at end of property
>Index: sysutils/ansible-kld/pkg-descr
>===================================================================
>--- sysutils/ansible-kld/pkg-descr	(nonexistent)
>+++ sysutils/ansible-kld/pkg-descr	(working copy)
>@@ -0,0 +1,4 @@
>+Ansible module to load kernel modules and manipulate
>+/boot/loader.conf on a FreeBSD system.
>+
>+WWW: https://github.com/dlundgren/ansible-freebsd-modules/
>
>Property changes on: sysutils/ansible-kld/pkg-descr
>___________________________________________________________________
>Added: fbsd:nokeywords
>## -0,0 +1 ##
>+yes
>\ No newline at end of property
>Added: svn:eol-style
>## -0,0 +1 ##
>+native
>\ No newline at end of property
>Added: svn:mime-type
>## -0,0 +1 ##
>+text/plain
>\ No newline at end of property
Comment 6 Lewis Cook freebsd_triage 2019-11-03 14:36:57 UTC
Created attachment 208822 [details]
updated port diff

* Added shebang fix, replace ${EGREP} with ${GREP}, format with portfmt.
Comment 7 Lewis Cook freebsd_triage 2019-11-03 20:53:07 UTC
Created attachment 208829 [details]
port diff

Amended ANSIBLE_MOD, remove un-needed call to 'ansible-config'.
Comment 8 Lewis Cook freebsd_triage 2019-11-04 14:51:57 UTC
Created attachment 208859 [details]
port diff

* Further revision of Makefile as suggested in bug#240788.
Comment 9 commit-hook freebsd_committer 2020-09-02 14:13:02 UTC
A commit references this bug:

Author: swills
Date: Wed Sep  2 14:13:00 UTC 2020
New revision: 547358
URL: https://svnweb.freebsd.org/changeset/ports/547358

Log:
  sysutils/ansible-kld: create port

  Ansible module to load kernel modules and manipulate
  /boot/loader.conf on a FreeBSD system.

  WWW: https://github.com/dlundgren/ansible-freebsd-modules/

  PR:		240789
  Submitted by:	Lewis Cook <vulcan@wired.sh>

Changes:
  head/sysutils/Makefile
  head/sysutils/ansible-kld/
  head/sysutils/ansible-kld/Makefile
  head/sysutils/ansible-kld/distinfo
  head/sysutils/ansible-kld/pkg-descr
Comment 10 Steve Wills freebsd_committer 2020-09-02 14:15:41 UTC
Committed, thanks!
Comment 11 Mikael Urankar freebsd_committer 2020-09-25 11:37:37 UTC
It's the same thing as sysutils/ansible-sysrc, only the name change. Why not only one port that provides sysrc and kld?